FORUMS: list search recent posts

New Mac's & FCP 6.0.6- compatible?

COW Forums : Apple Final Cut Pro Legacy

<< PREVIOUS   •   FAQ   •   VIEW ALL   •   PRINT   •   NEXT >>
RuPaul Robbin
New Mac's & FCP 6.0.6- compatible?
on Nov 13, 2015 at 3:57:58 am

I am getting ready to replace my 8-year old Mac Pro tower, quad core intel xeon. I'm still using Final Cut Pro 6.0.6 and have a couple lingering near-completed projects in that format. This computer is dying- randomly shutting itself off & rebooting, sometimes taking several attempts to succeed. Made a sound like a blow drier yesterday.

My question is whether FCP 6.0.6 will run on the newer Macs. Yes? No?

Once these projects are done, I will likely switch to Premiere, but I do need to finish several long (multi-hour TRT) projects first.
Advice? I edit mostly in 1920x1080, though want to be able to edit 4k when it comes up.


Return to posts index

Christopher McDonell
Re: New Mac's & FCP 6.0.6- compatible?
on Nov 13, 2015 at 5:03:29 am

There's a somewhat recent thread about FCP 6-7 and El Capitan. That's the issue I'm sure you're wondering about as newer computers will also come with the latest and greatest OS. I recently upgraded and have been cutting with FCP 6.0.6 on a 2012 rMBP, and so far, no problems. Someone else, however, has reported lots of crashing.

Motion 3 won't work with El Capitan. So you'll have to upgrade and say bye bye to round-tripping. But just export ProRes 4444 files and you'll be fine.

Soundtrack, I must say, has been crashing on me today though. It crashes if I click onto another application, like Mail or Safari. But I've always had problems with this version of STP.

My specs: FCP 6.0.6, El Capitan, rMBP 15" i7 2.6 GHz, 16 GB RAM


Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2017 CreativeCOW.net All Rights Reserved
[TOP]